Skip to content

Finds all conflicting fields for contacts

Request

This method will load contacts, compare them, and return all fields that are in conflict

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

idsstringrequired

Comma-separated listo fIDS

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contacts/{tenantId}/getFieldConflicts/{ids}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Conflicts were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
conflicting_fieldsArray of strings
contactsArray of objects(Contact)
organizationsArray of objects(Organization)
Response
{ "conflicting_fields": [ "string" ], "contacts": [ { … } ], "organizations": [ { … } ] }